package handler

import (
	"github.com/rabbitmq/amqp091-go"
	"samba/pkg/log"
	"samba/pkg/servername"
	"samba/pkg/service"
	"samba/proto"
	"samba/util/routingKey"
	"samba/util/util"
)

var MsgHandler = map[string]MessageHandler{
	proto.ReqAddResourceId:            onAddResource,
	proto.ReqBatchAddResourceId:       onBatchAddResource,
	proto.ReqGetResourceId:            onLoadResource,
	proto.ReqAddClubResourceId:        onAddClubResource,
	proto.ReqGetClubResourceId:        onLoadClubResource,
	proto.ReqGetUserAllResourceId:     onGetUserAllResource,
	proto.ReqGetUserClubAllResourceId: onGetUserClubAllResource,
}

type MessageHandler func(d *amqp091.Delivery, msg map[string]interface{})

func RegisterMsgHandler(s service.IService, childId int) bool {
	if err := s.QueueBind(gDBServices.QueueName(childId), routingKey.DbKey(int64(childId)), util.Direct(servername.Money)); err != nil {
		log.Error(err.Error())
		return false
	}
	return true
}
