package stub

// Bankrupt 破产
type Bankrupt struct {
	Id        int `json:"id"`
	VIPLevel  int `json:"vip_level"`  // VIP等级
	Quota     int `json:"quota"`      // 单次领取额度
	FreeCount int `json:"free_count"` // 免费领取次数
	AdCount   int `json:"ad_count"`   // 广告领取次数
}

// Bankrupts 破产配置
var Bankrupts = map[int]*Bankrupt{}

// BankruptCoin 破产金额
var BankruptCoin int64

// IsBankrupt 对应金额是否达到破产条件
func IsBankrupt(coin int64) bool {
	return coin < BankruptCoin
}

// GetBankruptConf 获取破产配置
func GetBankruptConf(vipLevel int) (br Bankrupt) {
	for _, bankrupt := range Bankrupts {
		if vipLevel == bankrupt.VIPLevel {
			return *bankrupt
		}
	}
	return
}
