package stub

type GlobalAI struct {
	TrucoBiggerPoker             int `json:"TrucoBiggerPoker"`             // 前8张为大牌
	TrucoAplombRaise1            int `json:"TrucoAplombRaise1"`            // 保守型首轮如果有两张花色则回应加注
	TrucoAplombRaise2            int `json:"TrucoAplombRaise2"`            // 保守型次轮如果有1张花色则回应加注
	TrucoAplombRaise3            int `json:"TrucoAplombRaise3"`            // 保守型3轮如果有1张花色则回应加注
	TrucoNormalRaise             int `json:"TrucoNormalRaise"`             // 普通型如果有两张花色则回应加注
	TrucoRadicalRaise            int `json:"TrucoRadicalRaise"`            // 激进型如果有两张大牌则回应加注
	TrucoRottenOutPokerDeal      int `json:"TrucoRottenOutPokerDeal"`      // 摆烂型按发牌顺序概率
	TrucoRottenOutPokerAsc       int `json:"TrucoRottenOutPokerAsc"`       // 摆烂型从小到大出牌概率
	TrucoRottenOutPokerDesc      int `json:"TrucoRottenOutPokerDesc"`      // 摆烂型从大到小出牌概率
	TrucoEvaluationOutPoker      int `json:"TrucoEvaluationOutPoker"`      // 策略型机器人出牌，胜率大于50出大牌
	TrucoEvaluationRaiseRound1_1 int `json:"TrucoEvaluationRaiseRound1_1"` // 策略型机器人叫分，第1轮第1档胜率
	TrucoEvaluationRaiseRound1_2 int `json:"TrucoEvaluationRaiseRound1_2"` // 策略型机器人叫分，第1轮第2档胜率
	TrucoEvaluationRaiseRound2_1 int `json:"TrucoEvaluationRaiseRound2_1"` // 策略型机器人叫分，第2轮第1档胜率
	TrucoEvaluationRaiseRound2_2 int `json:"TrucoEvaluationRaiseRound2_2"` // 策略型机器人叫分，第2轮第2档胜率
	TrucoEvaluationRaiseRound2_3 int `json:"TrucoEvaluationRaiseRound2_3"` // 策略型机器人叫分，第2轮第3档胜率
	TrucoEvaluationRaiseRound2_4 int `json:"TrucoEvaluationRaiseRound2_4"` // 策略型机器人叫分，第2轮第4档胜率
	TrucoEvaluationRaiseRound3_1 int `json:"TrucoEvaluationRaiseRound3_1"` // 策略型机器人叫分，第3轮第1档胜率
	TrucoEvaluationRaiseRound3_2 int `json:"TrucoEvaluationRaiseRound3_2"` // 策略型机器人叫分，第3轮第2档胜率
	TrucoEvaluationRaiseRound3_3 int `json:"TrucoEvaluationRaiseRound3_3"` // 策略型机器人叫分，第3轮第3档胜率
	TrucoEvaluationRaiseRound3_4 int `json:"TrucoEvaluationRaiseRound3_4"` // 策略型机器人叫分，第3轮第4档胜率
	TrucoReplyEmote              int `json:"TrucoReplyEmote"`              // 机器人回复表情的概率
	TrucoLifeDays                int `json:"TrucoLifeDays"`                // 机器人的存活时间(天数)
	TrucoMaxPlays                int `json:"TrucoMaxPlays"`                // 机器人最多进行的局数
}

var GGlobalAI = &GlobalAI{
	TrucoBiggerPoker:             8,
	TrucoAplombRaise1:            2,
	TrucoAplombRaise2:            1,
	TrucoAplombRaise3:            1,
	TrucoNormalRaise:             2,
	TrucoRadicalRaise:            2,
	TrucoRottenOutPokerDeal:      30,
	TrucoRottenOutPokerAsc:       35,
	TrucoRottenOutPokerDesc:      35,
	TrucoEvaluationOutPoker:      50,
	TrucoEvaluationRaiseRound1_1: 80,
	TrucoEvaluationRaiseRound1_2: 50,
	TrucoEvaluationRaiseRound2_1: 80,
	TrucoEvaluationRaiseRound2_2: 50,
	TrucoEvaluationRaiseRound2_3: 50,
	TrucoEvaluationRaiseRound2_4: 90,
	TrucoEvaluationRaiseRound3_1: 50,
	TrucoEvaluationRaiseRound3_2: 50,
	TrucoEvaluationRaiseRound3_3: 80,
	TrucoEvaluationRaiseRound3_4: 50,
	TrucoReplyEmote:              40,
	TrucoLifeDays:                0, // 0天 默认不处理
	TrucoMaxPlays:                0,
}
