package model

import (
	"github.com/go-redis/redis/v8"
	"samba/pkg/log"
	"samba/stub"
	"samba/util/util"
)

type GlobalConfigOp struct {
	rdb *redis.Client
	key string
}

func NewGlobalConfigOp() *GlobalConfigOp {
	return &GlobalConfigOp{rdb: rdbConfig, key: "server_global_config"}
}

func (t *GlobalConfigOp) Load() {
	var err error
	var g *stub.Global
	g, err = util.Redis2Struct[stub.Global](t.rdb, t.key)
	if err != nil {
		log.Error(err.Error())
		return
	}
	stub.GGlobal = g
	return
}
