package model

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_calculateFakeCount(t *testing.T) {
	t.Run("实际人数≤50（6~550）", func(t *testing.T) {
		for i := 0; i <= 50; i++ {
			val := CalculateFakeCount(int64(i))
			//t.Log(val)
			assert.True(t, val <= 550)
		}
	})
	t.Run("200≥实际人数＞50（204~800）", func(t *testing.T) {
		for i := 51; i <= 200; i++ {
			val := CalculateFakeCount(int64(i))
			//t.Log(val)
			assert.True(t, val >= 204 && val <= 800)
		}
	})
	t.Run("800≥实际人数＞200（400~1600）", func(t *testing.T) {
		for i := 201; i <= 800; i++ {
			val := CalculateFakeCount(int64(i))
			//t.Log(val)
			assert.True(t, val >= 400 && val <= 1600)
		}
	})
	t.Run("＞800：", func(t *testing.T) {
		for i := 801; i < 800*20; i++ {
			val := CalculateFakeCount(int64(i))
			assert.True(t, val == int64(i))
		}
	})
}
